#include <bits/stdc++.h>
using namespace std;
double a[200006],p[200006];
double n,br=0,r=0,r1=0;
int main()
{
cin>>n;
for(int i =1;i<=n;i++){
    cin>>a[i]>>p[i];
}

for(int i=1;i<=n;i++){
    for(int j=1;j<=n;j++){
        if(p[i]<=p[j]){
            br+=a[j];
        //    cout <<"p[i]."<<p[i];
         //   cout <<"     p[j]"<<p[j];
        //    cout << "    brrrrrr."<<br<< endl;
        }

    }
    r1=br*(p[i]/100)*1.0000;
   // cout <<"r1.."<<r1<<endl;
    if(r1>r){
        r=r1;
    }
    br=0;
  //  cout << r<<endl;
   // cout <<endl;
   // cout <<endl;
}
cout << setprecision(4)<<fixed<<r<<endl;
return 0;
}